Subject: Re: [PATCH v2 07/17] mktree: use read_index_info to read stdin lines

From: Junio C Hamano <[email-masked]>
Date: Thu, 20 Jun 2024 13:18:00 -0700

"Victoria Dye via GitGitGadget" <[email-masked]> writes:

> +INPUT FORMAT
> +------------
> +Tree entries may be specified in any of the formats compatible with the
> +`--index-info` option to linkgit:git-update-index[1]:
> +
> +include::index-info-formats.txt[]
> +
> +Note that if the `stage` of a tree entry is given, the value must be 0.
> +Higher stages represent conflicted files in an index; this information
> +cannot be represented in a tree object. The command will fail without
> +writing the tree if a higher order stage is specified for any entry.
> +
> +The order of the tree entries is normalized by `mktree` so pre-sorting the
> +input by path is not required.

Nicely done.  I was wondering how the common/shared text that was
made more generic in 04/17 would be made to fit in the new context,
and the "Note that" makes them mix very well.

The updated code is exactly as expected.